package com.jubotech;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;

import tk.mybatis.spring.annotation.MapperScan;

@EnableAsync //开启异步调用
@SpringBootApplication
//Spring Boot项目的核心注解，主要目的是开启自动配置，加了这个注解，后springboot会扫描本包及子包的所有javabean；
@MapperScan(basePackages = "com.jubotech.business.web.dao")
public class SpringBootStarter {
	public static void main(String[] args) {
		 //SpringBoot项目入口
		 SpringApplication.run(SpringBootStarter.class, args);
	}
	
}
