package com.jubotech.business.web.dao;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.jubotech.business.web.domain.LabelChatRoom;

import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.common.MySqlMapper;

@Repository
public interface LabelChatRoomDao extends Mapper<LabelChatRoom>, MySqlMapper<LabelChatRoom>{
	LabelChatRoom queryByWechatidLabelidChatroomid(@Param("wechatid")String wechatid,@Param("labelid")String labelid,@Param("chatroomid")String chatroomid);
	LabelChatRoom queryByRemark(@Param("remark")String remark);
}
