package com.jubotech.framework.util;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.jubotech.business.web.domain.req.FriendVo;
import com.jubotech.business.web.domain.req.MessageVo;

public class JsonUtils {
	public static boolean isJson(String str) {
		try {
			JSONObject.parseObject(str);
			return true;
		} catch (Exception e) {
			return false;
		}
	}

	public static FriendVo stringToObject(String str) {
		try {
			return JSONObject.parseObject(str, FriendVo.class);
		} catch (Exception e) {
			return null;
		}
	}

	public static List<MessageVo> json2Bean(String str) {
		try {
			List<MessageVo> list = JSONObject.parseArray(str, MessageVo.class);
			return list;
		} catch (Exception e) {
			return null;
		}
	}

	public static void main(String[] args) {
		String str = "[{\"ContentType\":\"Text\",\"Content\":\"测试\"},{\"ContentType\":\"Text\",\"Content\":\"测试2\"},{\"ContentType\":\"Text\",\"Content\":\"测试23\"}]";
		json2Bean(str);

	}
}
