package com.jubotech.framework.util;

import org.springframework.core.env.Environment;

public class PropertyUtils {
  
	// 获取socket netty端口
	public static Integer getNettySocketPort(Environment env) {
		return Integer.valueOf(env.getProperty("com.jubotech.netty.socket.port"));
	}

	// 获取websocket netty端口
	public static Integer getNettyWebsocketPort(Environment env) {
		return Integer.valueOf(env.getProperty("com.jubotech.netty.websocket.port"));
	}

	// http端口
	public static Integer getHttpPort(Environment env) {
		return Integer.valueOf(env.getProperty("server.port"));
	}

	// 服务器ip
	public static String getServerIp(Environment env) {
		return env.getProperty("com.jubotech.server.ip");
	}

	// 服务器文件存储地址
	public static String getServerFilePath(Environment env) {
		return env.getProperty("com.jubotech.server.file.path");
	}
}
