package com.jubotech.business.web.controller.user;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.jubotech.business.web.domain.Message;
import com.jubotech.business.web.domain.query.MessageQuery;
import com.jubotech.business.web.service.MessageService;
import com.jubotech.framework.common.GridPage;
import com.jubotech.framework.common.ResultInfo;

@Controller
@RequestMapping("/user/message")
public class MessageController{

	@Autowired
	private MessageService service;
	  
	@PostMapping("/pageList")
	@ResponseBody
	public ResultInfo pageList(MessageQuery query) {
		GridPage<Message> gridPage = new GridPage<>(service.pageList(query));
		return ResultInfo.success(gridPage);
	}
 
}
