package com.jubotech.business.web.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.jubotech.business.web.domain.TaskTimeInfo;
import com.jubotech.framework.domain.base.DBPage;

import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.common.MySqlMapper;

@Repository
public interface TaskTimeDao  extends Mapper<TaskTimeInfo>, MySqlMapper<TaskTimeInfo>{
	
	List<TaskTimeInfo> queryTaskTimeInfo(@Param("page") DBPage page,@Param("cid")Integer cid,@Param("tasktype")Integer tasktype,@Param("state")Integer state);
	
	List<TaskTimeInfo> queryTaskTimeInfoByAccountId(@Param("page") DBPage page ,@Param("accountid")Integer accountid , @Param("tasktype")Integer tasktype,@Param("state")Integer state);
	 
	Integer queryTaskTimeInfoCount(@Param("page") DBPage page,@Param("cid")Integer cid,@Param("tasktype")Integer tasktype,@Param("state")Integer state);
	 
	TaskTimeInfo findTaskTimeInfoByid(@Param("id")Integer id);
	 
	int insert(TaskTimeInfo info);
	
	void update(TaskTimeInfo info);
	
	int delete(TaskTimeInfo info);
	 
	void updateState(TaskTimeInfo info);
	
	List<TaskTimeInfo> findTaskTimeByTime(@Param("execute_time") String execute_time);
}
